Upload part
curl --request PUT \
--url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/{uploadId}/part \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/{uploadId}/part"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/{uploadId}/part', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"etag": "5d41402abc4b2a76b9719d911017c592",
"partNumber": 1,
"size": 5242880
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}filesystem
Upload part
Upload a single part of a multipart upload
PUT
/
filesystem-multipart
/
{uploadId}
/
part
Upload part
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Upload ID
Query Parameters
Part number (1-10000)
Body
multipart/form-data
Part data
Last modified on June 17, 2026
Was this page helpful?
⌘I
